{% load i18n admin_static admin_list %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>Encuesta en línea {{ periodo }} - Universidad de Lambayeque</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{% static 'custom/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <style type="text/css">
        body {
            padding-top: 80px;
            padding-bottom: 40px;

            font-size: 13px;
        }
        .label-AT {
            background-color: #9d261d;
        }
        .label-AM {
            background-color: #7a43b6;
        }
        .label-IA {
            background-color: #46a546;
        }
        .label-IC {
            background-color: #f89406;
        }
        .label-IS {
            background-color: #049cdb;
        }
        .alert {
            color: black;
        }
        .alert2 {
            background: #F5F3B4;
        }
        .well2 {
            background: white;
        }
        table td.colcenter, table th.colcenter {
            text-align:center;
        }
        .horarios {
            font-size: 11px;
            text-indent: 1.5em;
            color: #333333;
            background-color: #f7f7f9;
        }

    </style>
    <script src="{% static 'custom/bootstrap/js/jquery-1.7.2.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
    <script type="text/javascript">
        var IDCURSO = null
        function cambiarEstado(e, iditem, idopcion) {
            var idtem = "#item_" + iditem;
            var valor = iditem + '_' + idopcion;
            $(idtem).val(valor);
        }
        function mostrarEncuesta(idcurso) {
            $('#myTab li:eq(1) a').tab('show');
            IDCURSO = idcurso
        }
        $(document).ready(function() {
            $('#myModalI').modal({
                keyboard : false,
                show : false
            });
            $('#continuar-02').on('click', function (e) {
                e.preventDefault();
                $(this).attr('disabled', 'disabled');
            });
            $('#regresar').on('click', function (e) {
                e.preventDefault();
                $('#myTab li:eq(0) a').tab('show');
                $('.items').val('')
                $('.respuestas').removeAttr("checked");
            });
            $('#regresar2').on('click', function (e) {
                e.preventDefault();
                $('#myTab li:eq(0) a').tab('show');
                $('.items').val('')
                $('.respuestas').removeAttr("checked");
            });
            $('#continuar-02').click(function() {
                var faltan_item = false
                $( "input[name$='respuesta']" ).each(function( index ) {
                    if($(this).val().trim() == ''){
                        faltan_item = true
                    }
                });
                mypost = $( "input[name$='respuesta']" )
                if(faltan_item){
                    alert('Faltan preguntas por responder')
                    $('#continuar-02').removeAttr("disabled");
                    return false;
                }
                if(confirm('¿Confirmar registro de respuesta de encuesta?')){
                    var ruta = "registrar/" + IDCURSO + '/';
                    $.ajax({
                        url: ruta,
                        type: "POST",
                        data: mypost,
                        success: function(resp) {
                            alert(resp);
                            $('#continuar-02').removeAttr("disabled");
                            $('#myTab li:eq(2) a').tab('show');
                            $('.items').val('')
                            $('.respuestas').removeAttr("checked");
                            $('#tr_' + IDCURSO).remove();
                        },
                        error: function (data, status, e){
                            alert('Error comunicándose con el servicio');
                            $('#continuar-02').removeAttr("disabled");
                        },
                    });
                }else{
                    $('#continuar-02').removeAttr("disabled");
                }
            });
        });
    </script>
</head>
<body>
    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container-fluid">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </a>
                <a class="brand" href="#">
                    <img src="{% static 'uploads/icon64x64.png' %}" width="32"/>
                    Encuesta en línea UDL {{ periodo }}
                </a>
                <a class="btn btn-primary pull-right" type="button" href="logout/" >Salir del sistema</a>
                <div class="nav-collapse collapse">
                </div><!--/.nav-collapse -->
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="span2">
                <div class="well">
                    <h4>Bienvenido(a):</h4>
                    {% if docente.Foto != '' %}
                    <img class="thumbnail" src="{% static 'uploads/' %}{{ docente.Foto }}" alt="Foto" />
                    {% else %}
                    <img class="thumbnail" src="{% static 'uploads/avatar.jpg' %}" alt="Avatar" />
                    {% endif %}
                    <div class="info" style="text-align:center;">
                        <div class="label">{{ docente.User.username|escape }}</div>
                        <h4>{{ docente.Nombres }}</h4>
                        <h5>{{ docente.ApellidoPaterno }} {{ docente.ApellidoMaterno }}</h5>
                    </div>
                </div>
            </div>
            <div class="span10">
                <h3 style="margin-top:0;">Encuesta en línea {{ periodo }}</h3>
                <p>
                    <strong>Lea detenidamente la información y las instrucciones que se le presentan a continuación:</strong>
                </p>
                <div class="well well2">
                    <ul id="myTab" class="nav nav-tabs">
                        <li class="active"><a href="#pasouno"><strong>PASO 1:</strong> Elegir cursos disponibles</a></li>
                        <li class=""><a href="#pasodos"><strong>PASO 2:</strong> Responder encuesta</a></li>
                        <li class=""><a href="#pasotres"><strong>PASO 3:</strong> Confirmación de registro</a></li>
                    </ul>
                    <div id="myTabContent" class="tab-content">
                        <div class="tab-pane fade active in" id="pasouno">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>Código</th>
                                        <th>Nombre del curso</th>
                                        <th>Docente</th>
                                        <th class="colcenter">Ciclo</th>
                                        <th class="colcenter">Créditos</th>
                                        <th class="colcenter">Estado</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for result in results %}
                                    <tr id="tr_{{ result.id }}" class='error'>
                                        <td>{{ result.Curso.Codigo }}</td>
                                        <td>{{ result.Curso.Nombre }}</td>
                                        <td>{{ result.Docente }}</td>
                                        <td class="colcenter">{{ result.Curso.Ciclo }}º Ciclo</td>
                                        <td class="colcenter"><span class="label">{{ result.Curso.Creditos }}</span></td>
                                        <td class="colcenter">
                                            <a onclick="mostrarEncuesta('{{ result.id }}');" class="continuar-01 btn btn-small btn-primary pull-right">Ir a encuesta<i class="icon-white icon-chevron-right"></i></a> 
                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                                <footer>
                                    <tr>
                                        <th colspan="6" style="text-align:right;">&nbsp;</th>
                                    </tr>
                                </tfooter>
                            </table>
                            <p>
                                <span class="label label-success"><i class="icon-ok icon-white"></i></span> : Encuesta completa 
                                <span class="label label-important"><i class="icon-remove icon-white"></i></span> : Encuesta no realizada 
                            </p>
                        </div>
                        <div class="tab-pane fade" id="pasodos">
                            <div class="span11">
                                <h1>{{ encuesta.Nombre }}</h1>
                                {% for categoriaitem in encuesta.categoriaitem_set.all|dictsort:"Orden" %}
                                <div class="row-fluid well">
                                    <div class="span12">
                                        <h3>{{ categoriaitem.Descripcion }}</h3>
                                        {% for item in categoriaitem.item_set.all %}
                                        <div class="row-fluids">
                                            <div class="span12">
                                                <input type="hidden" name="respuesta" value="" class="items" id="item_{{ item.id }}">
                                                <h5>{{ item.Orden }}. {{ item.Descripcion }}</h5>
                                                <div>
                                                    {% for opcion in item.opcion_set.all %}
                                                    <input class="respuestas" type="radio" name="item_{{ item.id }}" onchange="cambiarEstado(this, '{{ item.id }}', '{{ opcion.id }}');"> {{ opcion.Descripcion }}</br>
                                                    {% endfor %}
                                                </div>
                                            </div>
                                        </div>
                                        {% endfor %}
                                    </div>
                                </div>
                                {% endfor %}
                                <p><a id="continuar-02" href="javascript:void();" class="btn btn-large btn-primary pull-right">Estoy de acuerdo, registrar.</a></p>
                                <a id="regresar" href="javascript:void();" class="btn btn-large btn-primary">Volver para seleccionar mis cursos</a>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="pasotres">

                            <div class="alert alert-success">
                                <h3>Registro exitoso!</h3>
                                <p>El registro de la encuesta se realizó con exito.</p>
                            </div>
                            <a id="regresar2" href="javascript:void();" class="btn btn-large btn-primary">Volver para seleccionar mis cursos</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div> <!-- /container -->
</body>
</html>
